Package org.opensaml.xacml.policy

# Interface FunctionType

All Superinterfaces:
  `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `FunctionTypeImpl`

public interface FunctionType extends ExpressionType
XACML Function schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Function.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element Function.
`static final String`
`FUNCTION_ID_ATTRIB_NAME`
FunctionId attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFunctionId()`
Gets the ID of this function.
`void`
`setFunctionId(String id)`
Sets the ID of this function.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Function.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element Function.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### FUNCTION_ID_ATTRIB_NAME

static final String FUNCTION_ID_ATTRIB_NAME
FunctionId attribute name.

See Also:
  - Constant Field Values

## Method Details

### getFunctionId

String getFunctionId()
Gets the ID of this function.

Returns:
  ID of this function

### setFunctionId

void setFunctionId(String id)
Sets the ID of this function.

Parameters:
  `id` - ID of this function